summaryrefslogtreecommitdiff
path: root/test/units/testsuite-14.sh
diff options
context:
space:
mode:
authorZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2019-12-09 22:02:06 +0100
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2020-03-28 11:46:47 +0100
commitafd9c55dcc801a51a9ce687017f9b88e4f84bd1b (patch)
tree92cadee5081bb750a5c40cec85b6d8303308a695 /test/units/testsuite-14.sh
parente5badaf3350efc4c8e4976b77c891f116fa911d8 (diff)
downloadsystemd-afd9c55dcc801a51a9ce687017f9b88e4f84bd1b.tar.gz
test: move most of TEST-14-MACHINE-ID setup to static files
Diffstat (limited to 'test/units/testsuite-14.sh')
-rwxr-xr-xtest/units/testsuite-14.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/test/units/testsuite-14.sh b/test/units/testsuite-14.sh
new file mode 100755
index 0000000000..95ac9b65ae
--- /dev/null
+++ b/test/units/testsuite-14.sh
@@ -0,0 +1,38 @@
+#!/usr/bin/env bash
+set -e
+set -x
+
+function setup_root {
+ local _root="$1"
+ mkdir -p "$_root"
+ mount -t tmpfs tmpfs "$_root"
+ mkdir -p "$_root/etc" "$_root/run"
+}
+
+function check {
+ printf "Expected\n"
+ cat "$1"
+ printf "\nGot\n"
+ cat "$2"
+ cmp "$1" "$2"
+}
+
+r="$(pwd)/overwrite-broken-machine-id"
+setup_root "$r"
+systemd-machine-id-setup --print --root "$r"
+echo abc >>"$r/etc/machine-id"
+id=$(systemd-machine-id-setup --print --root "$r")
+echo $id >expected
+check expected "$r/etc/machine-id"
+
+r="$(pwd)/transient-machine-id"
+setup_root "$r"
+systemd-machine-id-setup --print --root "$r"
+echo abc >>"$r/etc/machine-id"
+mount -o remount,ro "$r"
+mount -t tmpfs tmpfs "$r/run"
+transient_id=$(systemd-machine-id-setup --print --root "$r")
+mount -o remount,rw "$r"
+commited_id=$(systemd-machine-id-setup --print --commit --root "$r")
+[[ "$transient_id" = "$commited_id" ]]
+check "$r/etc/machine-id" "$r/run/machine-id"